package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 虚拟机与安全组关系类
 * 
 * @author weiwei
 */
@Table("server_sgroup")
public class ServerSgroup extends Generic {

	@PK(value = PKStrategy.AUTO)
	private Long id;// ID
	@Column("server_id")
	private Long serverId;// 虚拟机ID
	@Column("group_id")
	private Long groupId;// 云硬盘ID

	/**
	 * 
	 */
	public ServerSgroup() {
		super();
	}

	/**
	 * @param serverId
	 * @param volumeId
	 * @param device
	 */
	public ServerSgroup(Long serverId, Long groupId) {
		super();
		this.serverId = serverId;
		this.groupId = groupId;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the serverId
	 */
	public Long getServerId() {
		return serverId;
	}

	/**
	 * @param serverId
	 *            the serverId to set
	 */
	public void setServerId(Long serverId) {
		this.serverId = serverId;
	}

	/**
	 * @return the groupId
	 */
	public Long getGroupId() {
		return groupId;
	}

	/**
	 * @param groupId
	 *            the groupId to set
	 */
	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}

}
